| Home | Libraries | People | FAQ | More

## Function template operator+

boost::interprocess::operator+

## Synopsis

    // In header: <boost/interprocess/offset_ptr.hpp>

    template<typename T, typename P, typename O, std::size_t A, typename D>
      offset_ptr< T, P, O, A >
      operator+(D diff, const offset_ptr< T, P, O, A > & right);

## Description

difference_type + `offset_ptr` operation